from typing import Optional

from saleae.data import DigitalData, GraphTime
from .measurer import Measurer

class DigitalMeasurer(Measurer):
    def _process_data(self, data: DigitalData):
        self.process_data(data)

    def process_data(self, data: DigitalData):
        raise NotImplementedError('process_data must be implemented')
